# OpenWrt build

.openwrt_build:
  stage: Build
  image: $OS_IMAGE
  extends:
    - .global_variables
  variables:
    APT_INSTALL: env DEBIAN_FRONTEND=noninteractive
      apt install -y
    MIRROR_PATH:
      value: "/root/builds/${CI_PROJECT_NAME}/\
              ${CI_PIPELINE_ID}/\
              ${OS_NAME}/${OPENWRT_VERSION}"
      expand: true

  before_script:
    - apt update -y

  script:
    - ls -altr /root
    - ls -altr /root/openwrt-${OPENWRT_VERSION}/
    - cd /root && BRANCH=${NETIFY_BRANCH} OPENWRT_VERSION=${OPENWRT_VERSION} OPENWRT_DEBUG=${OPENWRT_DEBUG} build.sh

    # Copy packages to mirror
    - mkdir -p ${MIRROR_PATH}/${OS_ARCH_PATH}
    - mv -v /root/openwrt-${OPENWRT_VERSION}/bin/packages/x86_64/netify/* ${MIRROR_PATH}/${OS_ARCH_PATH}/

    # Push build to master node
    - rsync -rtv builds/* ${RSYNC_MIRROR}
